Permalink
Browse files

Remove dynamic code from gemspec because it can only be built one way

  • Loading branch information...
1 parent 11f5982 commit ebbe21cd4fd8b1da57b2b618d5b0242efc833c09 @sferik committed May 4, 2011
Showing with 16 additions and 11 deletions.
  1. +9 −5 Gemfile
  2. +0 −1 rails_admin.gemspec
  3. +7 −5 spec/dummy_app/Gemfile
View
14 Gemfile
@@ -1,14 +1,13 @@
source 'http://rubygems.org'
-gemspec
-
# Bundle gems for the local environment. Make sure to
# put test-only gems in this group so their generators
# and rake tasks are available in development mode:
group :development, :test do
gem 'rails', '~> 3.0.7'
- if 'java' == RUBY_PLATFORM
+ platforms :jruby do
+ gem 'jruby-openssl', '~> 0.7'
case ENV['CI_DB_ADAPTER']
when 'mysql'
gem 'activerecord-jdbcmysql-adapter', '~> 1.1', :platform => :jruby
@@ -20,7 +19,9 @@ group :development, :test do
gem 'activerecord-jdbcsqlite3-adapter', '~> 1.1', :platform => :jruby
gem 'jdbc-sqlite3', '~> 3.6', :platform => :jruby
end
- else
+ end
+
+ platforms :ruby, :mswin, :mingw do
case ENV['CI_DB_ADAPTER']
when 'mysql'
gem 'mysql', '~> 2.8'
@@ -30,7 +31,10 @@ group :development, :test do
gem 'sqlite3', '~> 1.3'
end
end
- gem "cancan" if ENV["AUTHORIZATION_ADAPTER"] == "cancan"
+
+ gem 'cancan' if ENV['AUTHORIZATION_ADAPTER'] == 'cancan'
gem 'factory_girl', '2.0.0.beta2'
gem 'generator_spec'
end
+
+gemspec
View
1 rails_admin.gemspec
@@ -14,7 +14,6 @@ Gem::Specification.new do |s|
s.add_development_dependency('ZenTest', '~> 4.5')
# If you add a runtime dependency, please maintain alphabetical order
s.add_runtime_dependency('builder', '~> 2.1.0')
- s.add_runtime_dependency('jruby-openssl', '~> 0.7.2') if RUBY_PLATFORM == 'java'
s.add_runtime_dependency('rails', '~> 3.0.6')
s.authors = ["Erik Michaels-Ober", "Bogdan Gaza"]
s.description = %q{RailsAdmin is a Rails engine that provides an easy-to-use interface for managing your data}
View
12 spec/dummy_app/Gemfile
@@ -6,11 +6,10 @@ gem 'paperclip', '~> 2.3'
gem 'rails_admin', :path => '../../'
gem 'mlb'
-# Bundle gems for the local environment. Make sure to
-# put test-only gems in this group so their generators
-# and rake tasks are available in development mode:
group :development, :test do
- if 'java' == RUBY_PLATFORM
+
+ platforms :jruby do
+ gem 'jruby-openssl', '~> 0.7'
case ENV['CI_DB_ADAPTER']
when 'mysql'
gem 'activerecord-jdbcmysql-adapter', '~> 1.1', :platform => :jruby
@@ -22,7 +21,9 @@ group :development, :test do
gem 'activerecord-jdbcsqlite3-adapter', '~> 1.1', :platform => :jruby
gem 'jdbc-sqlite3', '~> 3.6', :platform => :jruby
end
- else
+ end
+
+ platforms :ruby, :mswin, :mingw do
case ENV['CI_DB_ADAPTER']
when 'mysql'
gem 'mysql', '~> 2.8'
@@ -32,4 +33,5 @@ group :development, :test do
gem 'sqlite3', '~> 1.3'
end
end
+
end

0 comments on commit ebbe21c

Please sign in to comment.